import { AfterContentInit, QueryList } from '@angular/core';
import { GlossaryItemComponent } from '../glossary-item/glossary-item.component';
export declare class GlossaryComponent implements AfterContentInit {
    items: QueryList<GlossaryItemComponent>;
    hasAnimation: boolean;
    activeIndex: number;
    constructor();
    ngAfterContentInit(): void;
    registerOptions(): void;
    activeByIndex(activeIndex: number): void;
    onClickItem(item: GlossaryItemComponent, index: number): void;
}
